
public class Main {

	public static void main(String[] args) {
		Tree<Integer> t = new Tree<>();

		Node<Integer> root=t.insert(null, 6);

		
		
		
		root=t.insert(root,8 );
		root=t.insert(root, 7);
		root=t.insert(root, 9);
		root=t.insert(root, 5);
		root=t.insert(root, 4);
		root=t.insert(root, 2);
		root=t.insert(root, 1);
		
		root=t.delete1(5, root);
				


		
		
		t.print(root);
	
		
	
		
		
	 

	}

}
